.hidden {
    display: none;
}

.theme-dark #filter-tag {
    color: var(--vitta-black);
}

.theme-dark #anchor-title {
    color: var(--vitta-black) !important;
}

.theme-dark input::placeholder {
    color: var(--vita-white);
    border-color: var(--vitta-black);
}

.text-vitta-green {
    color: var(--vitta-green);
}

.text-vitta-blue {
    color: var(--vitta-blue);
}

.text-vitta-orange {
    color: var(--vitta-orange);
}

.text-vitta-orange-light {
    color: var(--vitta-orange-light);
}

.section-title {
    padding: 15px 0px;
    width: fit-content;
    max-width: 100vw;
    overflow: auto;
    margin: 0 auto;
}

.section-interfaces {
    padding: 50px;
    background-color: var(--vitta-green);
    border-bottom-left-radius: 30px;
    border-bottom-right-radius: 30px;
}

.theme-dark .section-interfaces {
    background-color: var(--vitta-green-dark);
}

.section-interfaces .interfaces-container {
    max-width: 1280px;
    margin: 0 auto;
}

.interfaces-card {
    background-color: var(--bg-1);
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transition: transform 0.5s;
}

.interfaces-card:hover {
    transform: scale(1.1);
    transition: transform 0.5s;
}

.interfaces-card img {
    width: 80%;
    height: 8em;
    margin: 1em auto;
    object-fit: scale-down;
}

.interfaces-card p:first-child {
    margin: 0;
    width: 20px;
    height: 20px;
    text-align: center;
    margin-right: 5px;
    margin-top: 5px;
    color: var(--text-1);
    cursor: pointer;
    line-height: normal;
}

input[name='searchbar'] {
    width: 100%;
    box-sizing: border-box;
    border: none;
    border-bottom: 2px solid white;
    background-color: transparent;
    color: white;
}

input[name='searchbar']::placeholder {
    color: white;
    opacity: 1;
    /* Firefox */
}

.theme-dark input[name='searchbar'],
.theme-dark input[name='searchbar']::placeholder {
    color: black;
}

input[name='searchbar']:focus {
    outline: none;
}

input[name='searchbar']:focus::placeholder {
    color: transparent;
}

.dropdown-toggle {
    background-color: transparent;
    border: none;
    color: white;
}

.theme-dark .dropdown-toggle {
    color: black;
}

.dropdown {
    display: flex;
    flex-direction: column;
    justify-content: end;
}

.dropdown-menu {
    width: max-content;
}

.dropdown-menu li {
    padding: 0 1rem;
}

.pop-info {
    opacity: 1;
    z-index: 100;
}

@media (min-width: 768px) {
    .pop-info {
        opacity: 0;
    }

    .interfaces-card:hover .pop-info {
        opacity: 1;
        transition: opacity 0.5s;
    }
}

.interfaces-card a {
    text-decoration: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.section-carac {
    width: 80%;
    max-width: 1200px;
    margin: auto;
    padding: 50px 0;
}

.carac-card img {
    width: 30pt;
    height: 40pt;
    object-fit: scale-down;
    margin: 1em;
    align-self: center;
}

.carac-content img {
    width: 100%;
    height: fit-content;
    object-fit: scale-down;
}

.infos-img {
    width: 100%;
    height: fit-content;
    object-fit: scale-down;
}

.section-infos {
    filter: drop-shadow(0px 0px 15px var(--vitta-shadow-color));
}

.section-infos article {
    background-color: var(--bg-2);
    padding: 50px 0;
}

.section-infos article.white {
    background-color: var(--bg-1);
}

.section-infos .img-content,
.section-ressources .img-content {
    width: 300px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.section-infos .text-content,
.section-ressources .text-content {
    width: 350px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

@media (min-width: 768px) {
    .section-infos article.white .img-content {
        order: 2;
    }

    .section-infos article.white .text-content {
        order: 1;
    }
}

.section-ressources {
    background-color: var(--bg-1);
    padding: 50px 0;
    position: relative;
    filter: drop-shadow(0px 0px 15px var(--vitta-shadow-color));
}

.section-ressources .ressources-container {
    max-width: 1280px;
    margin: 0 auto;
}

.section-ressources .ressources-container .img-content img {
    width: 100%;
    height: 17em;
    margin: 1em auto;
    object-fit: scale-down;
}

.section-ressources #temp-corner {
    content: "";
    position: absolute;
    top: 100%;
    right: 0;
    left: calc(100% - 50px);
    height: 50px;
    background: radial-gradient(farthest-side at bottom left, transparent 98%, var(--bg-1) 100%) 0 / 50px no-repeat;
}

.section-ressources::after {
    content: "";
    position: absolute;
    top: 100%;
    right: 0;
    left: 0;
    height: 50px;
    background: radial-gradient(farthest-side at bottom right, transparent 98%, var(--bg-1) 100%) 0 / 50px no-repeat;
}

.section-help {
    background-color: var(--bg-2);
}

.section-help div {
    padding: 50px 0;
    max-width: 1280px;
    width: 50%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.section-help a {
    width: fit-content;
    margin: 0 auto;
}

.programming-carousel {
    background-color: transparent;
    color: inherit;
    width: 60%;
    margin: 1em auto;
    border: none;
}

/* responsive under 768px */
@media (max-width: 768px) {

    .programming-carousel {
        width: 100%;
    }

    .dropdown-toggle {
        color: var(--text-1);
    }
}

/* .programming-carousel .slick-prev {
    left: 0;
    border-radius: 50%;
    border: 2px solid white;
}
.programming-carousel .slick-next {
    right: 0;
    border-radius: 50%;
    border: 2px solid white;
} */

.slick-container .slick-dots li button {
    width: 12px;
    height: 12px;
    transform: scale(0.8);
}

#slick-arduino .slick-dots li.slick-active button {
    background-color: var(--vitta-blue);
}

#slick-microbit .slick-dots li.slick-active button {
    background-color: var(--vitta-green);
}

#slick-python .slick-dots li.slick-active button {
    background-color: var(--vitta-orange);
}

#slick-stm32 .slick-dots li.slick-active button {
    background-color: var(--vitta-orange);
}

#platform-sidebar-container {
    overflow-x: scroll;
    width: 100%;
}

#platform-sidebar {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: flex-start;
    justify-content: flex-start;
    align-items: center;
    margin-inline-end: 20px;
}

.sidebar-element {
    background: transparent;
    border-radius: 10px;
    text-align: start;
    margin: 0px 10px;
    cursor: pointer;
    transition: all 0.3s ease-in-out 0s;
}

.card {
    width: 200px;
    color: var(--text-1);
    background-color: transparent;
    border: none;
}

.card-text {
    height: 95px;
    overflow: scroll;
}

#platform-sidebar .card-title {
    text-overflow: ellipsis !important;
    white-space: nowrap !important;
    overflow: hidden !important;
}

.card-footer {
    background-color: transparent;
    border: none;
}